Skip to main content
GET
/
v1
/
exchange
/
stablefx
/
settlementAdvances
List settlement advances
curl --request GET \
  --url https://api.circle.com/v1/exchange/stablefx/settlementAdvances \
  --header 'Authorization: Bearer <token>'
{
  "advances": [
    {
      "advanceId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "advance": {
        "currency": "USDC",
        "amount": "<string>"
      },
      "collateral": {
        "currency": "USDC",
        "amount": "<string>"
      },
      "feeBps": "<string>",
      "status": "disbursed",
      "createDate": "2023-01-01T12:04:05Z",
      "dueDate": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Query Parameters

status
enum<string>[]

Filter by advance credit status. Omit to return advances in any status.

Lifecycle status of the credit advanced against a settlement.

  • funds_reserved -- credit reserved on the line, awaiting maker action.
  • requested -- maker submitted the request; Circle is moving funds.
  • disbursed -- funds delivered to the funder passthrough wallet.
  • past_due -- repayment window has elapsed without full repayment.
  • paid -- credit fully repaid.
  • rejected -- credit line rejected the advance request.
  • expired -- reservation expired before being consumed.
  • canceled -- maker or Circle canceled the advance.
Available options:
funds_reserved,
requested,
disbursed,
past_due,
paid,
rejected,
expired,
canceled
startCreateDateInclusive
string<date-time>

Start of the creation date range (inclusive).

endCreateDateInclusive
string<date-time>

End of the creation date range (inclusive).

pageBefore
string<uuid>

Cursor -- return advances strictly before this id.

pageAfter
string<uuid>

Cursor -- return advances strictly after this id.

pageSize
integer
default:20
Required range: 1 <= x <= 100

Response

List of settlement advances.

List of settlement advances.

advances
object[]
required